<div class="sidebar" id="sidebar">
    <!-- Logo at the Top -->
    <div class="sidebar-logo">
        <img src="./img/dtce.png" alt="Logo">
    </div>

    <!-- Parent Menu: Dashboard -->
    <a href="dash.php"><i class="fa fa-tachometer-alt"></i><span>Dashboard</span></a>

    <!-- Parent Menu: Convention Report with Arrow for Children -->
    <a href="javascript:void(0)" class="parent-menu"><i class="fa fa-calendar-alt"></i><span>Convention Report</span> <i class="fa fa-angle-down"></i></a>
    <ul class="child-menu">
        <li><a href="children.php"><i class="fa fa-clipboard-list"></i><span>Children Registration</span></a></li>
        <li><a href="teens.php"><i class="fa fa-child"></i><span>Teens Registration</span></a></li>
        <li><a href="teachers.php"><i class="fa fa-users"></i><span>Teachers Registration</span></a></li>
    </ul>

    <!-- Parent Menu: Province Details with Arrow for Children -->
    <a href="javascript:void(0)" class="parent-menu"><i class="fa fa-map-marker-alt"></i><span>Province Details</span> <i class="fa fa-angle-down"></i></a>
    <ul class="child-menu">
        <li><a href="view_provinces.php"><i class="fa fa-city"></i><span>View Provinces</span></a></li>
        <!-- <li><a href="#"><i class="fa fa-plus"></i><span>Add Province</span></a></li> -->
    </ul>

    <!-- Other Menus -->
    <a href="change_password.php"><i class="fa fa-key"></i><span>Password Reset</span></a>
    <a href="sport.php"><i class="fa fa-medal"></i><span> Sport Registration</span></a>

</div>

<!-- Style and JavaScript for the Sidebar -->
<style>
    /* Sidebar styles */
    .sidebar {
        width: 250px;
        height: 100vh;
        background-color: #003366;
        color: white;
        position: fixed;
        padding-top: 20px;
        text-align: left; /* Align menu text to the left */
        display: flex;
        flex-direction: column;
    }

    /* Logo styling */
    .sidebar-logo {
        text-align: center;
        padding: 10px 0;
    }

    .sidebar-logo img {
        max-width: 80%;
        height: auto;
        display: block;
        margin: 0 auto;
    }

    .sidebar a {
        text-decoration: none;
        color: white;
        display: flex;
        align-items: center;
        padding: 10px 20px;
        font-size: 16px;
        transition: background 0.3s ease;
        position: relative;
    }

    .sidebar a i {
        margin-right: 10px; /* Space between icon and text */
    }

    .sidebar a span {
        flex: 1; /* Allow text to align left while icons remain aligned */
    }

    .sidebar a:hover {
        background-color: #34495e;
    }

    .sidebar .parent-menu {
        cursor: pointer;
    }

    .sidebar .parent-menu i {
        margin-left: auto; /* Keep the dropdown arrow aligned to the right */
        transition: transform 0.3s ease;
    }

    .sidebar .child-menu {
        list-style-type: none;
        padding-left: 30px;
        display: none;
    }

    .sidebar .child-menu a {
        font-size: 14px;
        padding: 8px 20px;
        display: flex;
        align-items: center;
    }

    /* Add a hover effect on child links */
    .sidebar .child-menu a:hover {
        background-color: #1abc9c;
    }

    /* Rotate arrow on toggle */
    .sidebar .parent-menu.active i.fa-angle-down {
        transform: rotate(180deg);
    }
</style>

<!-- JavaScript for toggling the child menus -->
<script>
    // Toggle the visibility of child menus when parent is clicked
    const parentMenus = document.querySelectorAll('.parent-menu');
    parentMenus.forEach(menu => {
        menu.addEventListener('click', function() {
            const childMenu = this.nextElementSibling;
            const arrowIcon = this.querySelector('i.fa-angle-down');
            if (childMenu.style.display === 'block') {
                childMenu.style.display = 'none';
                arrowIcon.style.transform = 'rotate(0deg)';
            } else {
                childMenu.style.display = 'block';
                arrowIcon.style.transform = 'rotate(180deg)';
            }
        });
    });
</script>
