
<?php
session_start();

require_once("conn.php");
if(!isset($_SESSION['region']))
    {
 $URL=("./index.php");
echo "<script type='text/javascript'>alert('Please Kindly Login as a Regional Coordinator... ');location.href='$URL';</script>";
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Regional Coordinator Dashboard</title>
    
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet" href="theme.css">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
    <!-- <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet"> -->

<!-- jQuery (Required for DataTables) -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<!-- DataTables CSS -->


    <head>
  
</head>

</head>
<body>

<?php include 'sidebar.php'?>

<?php include 'navbar.php'?>


<!-- Main Content -->
<div class="main-content" id="main-content">
 <!-- DataTables CSS -->
 <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/dataTables.bootstrap5.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.4.2/css/buttons.bootstrap5.min.css">


<!-- Main Container -->
<!-- Main Container -->
<!-- Main Container -->
<div class="container-fluid mt-4">
    <div class="card shadow-lg rounded-lg">
        <div class="card-header bg-success text-white text-center">
            <h4>REGION <?php echo $_SESSION['region']; ?> PROVINCE REGISTRATION ANALYSIS</h4>
        </div>
        <div class="card-body">
            <div class="table-responsive">
            <table class="table table-striped table-bordered text-center" id="provinceTable">
    <thead class="bg-dark text-white">
        <tr>
            <th>#</th>
            <th>Zone</th>
            <th>Province</th>
            <th>Region</th>
            <th>Province Password</th>
           
            <th>Status</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        <?php
        $region = $_SESSION['region'];
        $sql = "SELECT * FROM province WHERE region = :region";
        $stmt = $conn->prepare($sql);
        $stmt->bindParam(':region', $region);
        $stmt->execute();
        $provinces = $stmt->fetchAll(PDO::FETCH_ASSOC);

        // Sort by last number in province name
        usort($provinces, function ($a, $b) {
            preg_match('/\d+$/', $a['province'], $a_matches);
            preg_match('/\d+$/', $b['province'], $b_matches);
            $numA = isset($a_matches[0]) ? (int)$a_matches[0] : 0;
            $numB = isset($b_matches[0]) ? (int)$b_matches[0] : 0;
            return $numA - $numB;
        });

        $count = 1;
        foreach ($provinces as $row) {
            echo "<tr>";
            echo "<td>{$count}</td>";
            echo "<td>{$row['zone']}</td>";
            echo "<td>{$row['province']}</td>";
            echo "<td>REGION {$row['region']}</td>";
            echo "<td>{$row['password']}</td>";
         
            echo "<td><span class='badge badge-".($row['status'] == 'active' ? 'success' : 'danger')."'>{$row['status']}</span></td>";
            echo '<td>
            <button class="btn btn-sm btn-warning" data-toggle="modal" data-target="#editModal" onclick="editProvince(' . $row['id'] . ', \'' . $row['province'] . '\')">Edit</button>
            <button class="btn btn-sm btn-primary" data-toggle="modal" data-target="#passwordModal" onclick="changePassword(' . $row['id'] . ')">Change Password</button>
            <button class="btn btn-sm btn-danger" data-toggle="modal" data-target="#deleteModal" onclick="deleteProvince(' . $row['id'] . ')">Delete</button>
            <button class="btn btn-sm btn-secondary" onclick="toggleStatus(' . $row['id'] . ', \'' . $row['status'] . '\')">'
            . ($row['status'] == 'active' ? 'Disable' : 'Enable') . 
            '</button>
        </td>';
        
            echo "</tr>";
            $count++;
        }
        ?>
    </tbody>
</table>

            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="editModal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Edit Province</h5>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form id="editProvinceForm">
                    <input type="hidden" id="editProvinceId">
                    <div class="form-group">
                        <label>Province Name</label>
                        <input type="text" class="form-control" id="editProvinceName" required>
                    </div>
                    <button type="submit" class="btn btn-warning">Update Province</button>
                </form>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Delete Province</h5>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body text-center">
                <p>Are you sure you want to delete this province?</p>
                <button class="btn btn-danger" id="confirmDelete">Delete</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="passwordModal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Change Password</h5>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body text-center">
                <p>Are you sure you want to generate a new password?</p>
                <button class="btn btn-primary" id="confirmChangePassword">Confirm</button>
            </div>
        </div>
    </div>
</div>

<!-- Include Required JS Libraries -->
<script src="https://code.jquery.com/jquery-3.7.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

<!-- DataTables & Buttons Scripts -->
<script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.13.6/js/dataTables.bootstrap5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.bootstrap5.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>

<!-- DataTable Initialization -->
<script>
$('#provinceTable').DataTable({
    "pageLength": 10,  // Forces pagination to appear even with few records
    "dom": 'Bfrtip',
    "buttons": [
        { extend: 'copy', text: 'Copy', className: 'btn btn-primary btn-sm' },
        { extend: 'excel', text: 'Excel', className: 'btn btn-success btn-sm' },
        { extend: 'pdf', text: 'PDF', className: 'btn btn-danger btn-sm' },
        { extend: 'print', text: 'Print', className: 'btn btn-secondary btn-sm' }
    ]
});


    $("#confirmChangePassword").click(function() {
        $.post("province_edit.php", {
            action: "changePassword",
            id: $("#passwordModal").data("id")
        }, function(response) {
            alert(response);
            location.reload();
        });
    });

    $("#confirmDelete").click(function() {
        $.post("province_edit.php", {
            action: "delete",
            id: $("#deleteModal").data("id")
        }, function(response) {
            alert(response);
            location.reload();
        });
    });


function editProvince(id, name) {
    $("#editProvinceId").val(id);
    $("#editProvinceName").val(name);
}

function changePassword(id) {
    $("#passwordModal").data("id", id);
}

function deleteProvince(id) {
    $("#deleteModal").data("id", id);
}

function toggleStatus(id, currentStatus) {
    let newStatus = currentStatus === "active" ? "disabled" : "active";
    $.post("province_edit.php", {
        action: "toggleStatus",
        id: id,
        status: newStatus
    }, function(response) {
        alert(response);
        location.reload();
    });
}


</script>
<?php
require "conn.php"; // Database connection

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $action = $_POST['action'];

    if ($action == "create") {
        $zone = $_POST['zone'];
        $province = $_POST['province'];
        $region = $_POST['region'];
        $password = "dtce" . bin2hex(random_bytes(3));

        $sql = "INSERT INTO province (zone, province, region, password) VALUES (:zone, :province, :region, :password)";
        $stmt = $conn->prepare($sql);
        $stmt->execute(['zone' => $zone, 'province' => $province, 'region' => $region, 'password' => $password]);
        echo "Province added successfully!";
    }

    if ($action == "edit") {
        $id = $_POST['id'];
        $province = $_POST['province'];

        $sql = "UPDATE province SET province = :province WHERE id = :id";
        $stmt = $conn->prepare($sql);
        $stmt->execute(['province' => $province, 'id' => $id]);
        echo "Province updated!";
    }

    if ($action == "delete") {
        $id = $_POST['id'];
        $sql = "DELETE FROM province WHERE id = :id";
        $stmt = $conn->prepare($sql);
        $stmt->execute(['id' => $id]);
        echo "Province deleted!";
    }

    if ($action == "toggleStatus") {
        $id = $_POST['id'];
        $status = $_POST['status'];

        $sql = "UPDATE province SET status = :status WHERE id = :id";
        $stmt = $conn->prepare($sql);
        $stmt->execute(['status' => $status, 'id' => $id]);
        echo "Province status updated!";
    }

    if ($action == "changePassword") {
        $id = $_POST['id'];
        $newPassword = "dtce" . bin2hex(random_bytes(3));

        $sql = "UPDATE province SET password = :password, password_changed = 'Yes' WHERE id = :id";
        $stmt = $conn->prepare($sql);
        $stmt->execute(['password' => $newPassword, 'id' => $id]);

        echo "New password generated: " . $newPassword;
    }
}

?>



</div>

<?php include 'footer.php' ?>






<?php include 'scripts.php'?>
</body>
</html>
