

<script>
    $(document).ready(function () {
        // Toggle Sidebar on Desktop
        $("#toggle-btn").click(function () {
            var sidebar = $("#sidebar");
            if ($(window).width() >= 768) { // Desktop view
                sidebar.toggleClass("collapsed");
            } else { // Mobile view
                var sidebarLeft = sidebar.css("left");
                if (sidebarLeft == "-250px") {
                    sidebar.css("left", "0");
                } else {
                    sidebar.css("left", "-250px");
                }
            }
        });

        // Close Sidebar when clicking outside (Mobile view)
        $(document).click(function (event) {
            var sidebar = $("#sidebar");
            if ($(window).width() < 768) { // Only on mobile view
                if (!sidebar.is(event.target) && sidebar.has(event.target).length === 0 && !$("#toggle-btn").is(event.target)) {
                    sidebar.css("left", "-250px"); // Close the sidebar
                }
            }
        });

        // Prevent sidebar from closing when clicking inside the sidebar or toggle button
        $("#sidebar, #toggle-btn").click(function (event) {
            event.stopPropagation();
        });

        // Reset sidebar position on window resize (for desktop view)
        $(window).resize(function () {
            if ($(window).width() >= 768) {
                // Reset sidebar left position and ensure it’s not hidden
                $("#sidebar").css("left", "0");
            }
        });

        // Dark mode toggle functionality
        $("#darkModeToggle").click(function () {
            $("body").toggleClass("dark-mode");

            // Change button text and icon
            if ($("body").hasClass("dark-mode")) {
                $("#darkModeToggle button").html('<i class="fa fa-moon"></i> Dark Mode');
            } else {
                $("#darkModeToggle button").html('<i class="fa fa-sun"></i> Light Mode');
            }
        });
    });
    </script>