
<?php
session_start();

require_once("conn.php");
if(!isset($_SESSION['region']))
    {
 $URL=("./index.php");
echo "<script type='text/javascript'>alert('Please Kindly Login as a Regional Coordinator... ');location.href='$URL';</script>";
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Regional Coordinator Dashboard - Teachers Registration</title>
    
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet" href="theme.css">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
    <!-- <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet"> -->
    <link rel="icon" type="image/png" href="img/icon2.png">

<!-- jQuery (Required for DataTables) -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<!-- DataTables CSS -->


    <head>
  
</head>

</head>
<body>

<?php include 'sidebar.php'?>

<?php include 'navbar.php'?>


<!-- Main Content -->
<div class="main-content" id="main-content">
 <!-- DataTables CSS -->
 <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/dataTables.bootstrap5.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.4.2/css/buttons.bootstrap5.min.css">


<!-- Main Container -->
<!-- Main Container -->
<div class="container-fluid mt-4">
    <div class="card shadow-lg rounded-lg">
        <div class="card-header bg-success text-white text-center">
            <h4>REGION <?php echo $_SESSION['region']; ?> TEACHERS REGISTRATION ANALYSIS</h4>
        </div>
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-striped table-bordered text-center" id="teachersTable">
                    <thead class="bg-dark text-white">
                        <tr>
                            <th>#</th>
                            <th>First Name</th>
                            <th>Last Name</th>
                            <th>Phone</th>
                            <th>Department</th>
                            <th>Gender</th>
                            <th>Zone</th>
                            <th>Region</th>
                            <th>Province</th>
                            <th>Transaction ID</th>
                            <th>Date</th>
                            <th>Year</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        // Database connection (Make sure $conn is properly set up)
                        $region = $_SESSION['region'];
                        $year = date("Y");

                        $sql = "SELECT * FROM teachers WHERE region = :region AND year = :year ORDER BY ID DESC";
                        $stmt = $conn->prepare($sql);
                        $stmt->bindParam(':region', $region);
                        $stmt->bindParam(':year', $year);
                        $stmt->execute();

                        $count = 1;
                        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
                            echo "<tr>";
                            echo "<td>{$count}</td>";
                            echo "<td>{$row['firstname']}</td>";
                            echo "<td>{$row['lastname']}</td>";
                            echo "<td>{$row['phone']}</td>";
                            echo "<td>{$row['department']}</td>";
                            echo "<td>{$row['gender']}</td>";
                            echo "<td>{$row['zone']}</td>";
                            echo "<td>REGION {$row['region']}</td>";
                            echo "<td>{$row['province']}</td>";
                            echo "<td>{$row['password']}</td>"; // Assuming 'password' is actually the Transaction ID
                            echo "<td>{$row['date']}</td>";
                            echo "<td>{$row['year']}</td>";
                            echo "</tr>";
                            $count++;
                        }
                        ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- Include Required JS Libraries -->
<script src="https://code.jquery.com/jquery-3.7.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

<!-- DataTables & Buttons Scripts -->
<script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.13.6/js/dataTables.bootstrap5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.bootstrap5.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>

<!-- DataTable Initialization -->
<script>
$('#teachersTable').DataTable({
    "pageLength": 10,  // Forces pagination to appear even with few records
    "dom": 'Bfrtip',
    "buttons": [
        { extend: 'copy', text: 'Copy', className: 'btn btn-primary btn-sm' },
        { extend: 'excel', text: 'Excel', className: 'btn btn-success btn-sm' },
        { extend: 'pdf', text: 'PDF', className: 'btn btn-danger btn-sm' },
        { extend: 'print', text: 'Print', className: 'btn btn-secondary btn-sm' }
    ]
});
</script>

</div>

<?php include 'footer.php' ?>






<?php include 'scripts.php'?>
</body>
</html>
